Bug 21763 - LILO can't not be installed with Windows ME
LILO can't not be installed with Windows ME
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-05 15:37 EST by shiyi_yue
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-10 01:29:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shiyi_yue 2000-12-05 15:37:58 EST
Dual operating system: Windows ME (1st P partition 12GB), RedHat 7.0 (2nd 
P partition 6GB). 
Automatic partitioning. 
Fatal error during the end of the installation (Can not read it).
resulting no lilo installed.
Can only reboot through the disquette.

under root
% more /etc/lilo.config
no problem observed. I can also vi the file and change the default booting 
system. However, with or without the modification,

% /sbin/lilo -v 
gives fatal error again. can not merge to boot.b

Please let me know if you need to know the exact error messages.
Comment 1 Perry Harrington 2000-12-10 01:29:17 EST
The likely cause of your problems is that you did not allocate a /boot partition
below the 1024 cylinder limit.  Lilo cannot read anything above cylinder 1024. 
You can fix this by making the first partition /boot of 30MB.  As long as the
/boot ends somewhere below cylinder 1024, then lilo will work fine.
Comment 2 Jeremy Katz 2002-06-04 02:07:51 EDT
Yep, sounds like the classic 1024 cylinder problem.  Please make sure to have a
/boot below 1024 cylinders and it should solve your problems.

Note You need to log in before you can comment on or make changes to this bug.